Subject: [os2genau_digest] No. 1203
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 9 Oct 2005 00:02:37 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 08 October 2005
 Number  1203
**************************************************

Subjects for today
 
1   DNS Problem with Bigpond ADSL : david shearer <dshe5874 at bigpond dot net dot au>
1  Re:  DNS Problem with Bigpond ADSL : Ed Durrant <edurrant at bigpond dot net dot au>
2   Libc files : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  Libc files : Chuck McKinnis" <mckinnis at sandia dot net>
3  Re:  Libc files : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  Libc files : Voytek Eymont" <voytek at sbt dot net dot au>
4  Re:  Libc files : Paul Smedley <paul at smedley.info>

**= Email   1 ==========================**

Date:  Sat, 08 Oct 2005 07:00:46 +1000
From:  david shearer <dshe5874 at bigpond dot net dot au>
Subject:   DNS Problem with Bigpond ADSL

I am currently experiencing a problem connecting to the internet under 
ecs 1.2.   Previously I have had no problems, however something has 
changed recently?  I have Telstra Bigpond ADSL and connect via ethernet 
etc using DHCP.   I cannot resolve any host names via DNS - I can ping a 
outside IP address and the bigpond router/modem but cannot resolve any 
host names on teh internet.  Funnily there is no problem under windows.  
It also happens under OS/2 on different machines eg laptops connecting 
wirelessly.

Does anyone else with bigpond adsl have his problem recently?   I can 
only think it is some hardware failure or a chnage that Telstra has made 
to DNS?

Any ideas.

Bigpond Tech support was no help.

David

PS - I am writing this email using windows
----------------------------------------------------------------------------------

**= Email   1 ==========================**

Date:  Sat, 08 Oct 2005 07:50:08 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  DNS Problem with Bigpond ADSL

david shearer wrote:

> I am currently experiencing a problem connecting to the internet under 
> ecs 1.2.   Previously I have had no problems, however something has 
> changed recently?  I have Telstra Bigpond ADSL and connect via 
> ethernet etc using DHCP.   I cannot resolve any host names via DNS - I 
> can ping a outside IP address and the bigpond router/modem but cannot 
> resolve any host names on teh internet.  Funnily there is no problem 
> under windows.  It also happens under OS/2 on different machines eg 
> laptops connecting wirelessly.
>
> Does anyone else with bigpond adsl have his problem recently?   I can 
> only think it is some hardware failure or a chnage that Telstra has 
> made to DNS?
>
> Any ideas.
>
> Bigpond Tech support was no help.
>
> David
>
> PS - I am writing this email using windows
 
>
> 

>
I use Telstra Cable rather than ADSL however the issue may be the same.
Telstra recently decommissioned several of their servers, replacing them 
with new ones at different IP addresses. If you use a hardware router to 
provide DHCP to your local clients, this would be transparent. However 
if you have hardcoded DNS addresses, the 61.x.x.x ones are no more, you 
should have *144.140.70.16  **144.140.71.29 and optionally **144.140.70.15*.

DNS 1:
	*144.140.70.16* 	  	 
  	  	  	DNS 2: 	*144.140.71.29* 	  	 
  	  	  	DNS 3: 	*144.140.70.15*

**
Also make sure that the e-mail servers are configured in 
Thunderbird/Mozilla as mail.bigpond dot com as again the old servers are no 
more !

Cheers/2

Ed.

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 08 Oct 2005 08:20:28 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:   Libc files

Hi,

   I guess this question is really for Paul Smedley, however I think the 
answer may be of interest to more people, so I'm asking it on-list.

   Over recent times, there have been various advancing versions of 
LIBCxx.dll.  Should it be possible to install the latest Libc06r1.dll in 
a common directory, such as \OS2\DLL and then remove all other copies of 
libcxx.dll on the system or will a program compiled using a particular 
version of LIBC, say libc05.dll, only work with that DLL ?

  In other words is the latest libc dll backwards compatible ??

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 7 Oct 2005 16:45:32 -0600
From:  "Chuck McKinnis" <mckinnis at sandia dot net>
Subject:  Re:  Libc files

** Reply to message from Ed Durrant <edurrant at bigpond dot net dot au> on Sat,
08 Oct 2005 08:20:28 +1000

Not necessarily.  Some applications will look for specific copies of
libc????.dll.  The best solution is probably to keep them all around.

> Hi,
> 
>    I guess this question is really for Paul Smedley, however I think the 
> answer may be of interest to more people, so I'm asking it on-list.
> 
>    Over recent times, there have been various advancing versions of 
> LIBCxx.dll.  Should it be possible to install the latest Libc06r1.dll in 
> a common directory, such as \OS2\DLL and then remove all other copies of 
> libcxx.dll on the system or will a program compiled using a particular 
> version of LIBC, say libc05.dll, only work with that DLL ?
> 
>   In other words is the latest libc dll backwards compatible ??
> 
> Cheers/2
> 
> 
> Ed.

>  

Chuck McKinnis
Covenant Solutions
http://www.7cities dot net/~mckinnis/os2/
505-286-3191

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 08 Oct 2005 11:09:06 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Libc files

Chuck McKinnis wrote:

>** Reply to message from Ed Durrant <edurrant at bigpond dot net dot au> on Sat,
>08 Oct 2005 08:20:28 +1000
>
>Not necessarily.  Some applications will look for specific copies of
>libc????.dll.  The best solution is probably to keep them all around.
>
>  
>
>>Hi,
>>
>>   I guess this question is really for Paul Smedley, however I think the 
>>answer may be of interest to more people, so I'm asking it on-list.
>>
>>   Over recent times, there have been various advancing versions of 
>>LIBCxx.dll.  Should it be possible to install the latest Libc06r1.dll in 
>>a common directory, such as \OS2\DLL and then remove all other copies of 
>>libcxx.dll on the system or will a program compiled using a particular 
>>version of LIBC, say libc05.dll, only work with that DLL ?
>>
>>  In other words is the latest libc dll backwards compatible ??
>>
>>Cheers/2
>>
>>
>>Ed.

>> 

>>    
>>
>
>Chuck McKinnis
>Covenant Solutions
>http://www.7cities dot net/~mckinnis/os2/
>505-286-3191
>
>-
>
Hi Chuck,

  By keeping all dlls arounf however, I have found that applications 
that were working have stopped working as they have found an older 
version of the dll and the application has failed.

  So I guess we're really saying keep a copy of the relevant version of 
libc in every applications directory separately and make sure this 
directory is NOT in any common libpath or path statements.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 8 Oct 2005 14:58:10 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Libc files

I put all extraneos DLLs on \ute\dll

but I have something like "LIBPATH=.;..\DLL;..." just in case to allow for
aberations

works for me

On Sat, October 8, 2005 11:09 am, Ed Durrant wrote:
>> ** Reply to message from Ed Durrant <edurrant at bigpond dot net dot au> on Sat,
>> 08 Oct 2005 08:20:28 +1000
>> Not necessarily.  Some applications will look for specific copies of
>> libc????.dll.  The best solution is probably to keep them all around.
>>> I guess this question is really for Paul Smedley, however I think the
>>>  answer may be of interest to more people, so I'm asking it on-list.
>>>
>>> Over recent times, there have been various advancing versions of
>>> LIBCxx.dll.  Should it be possible to install the latest Libc06r1.dll
>>> in a common directory, such as \OS2\DLL and then remove all other
>>> copies of libcxx.dll on the system or will a program compiled using a
>>> particular version of LIBC, say libc05.dll, only work with that DLL ?
>>> In other words is the latest libc dll backwards compatible ??

>>>
>>> Ed.
>>> ----------------------------------------------------------------------
>>> ------------
>>> 

>> Chuck McKinnis
>> Covenant Solutions
>> http://www.7cities dot net/~mckinnis/os2/
>> 505-286-3191

> By keeping all dlls arounf however, I have found that applications
> that were working have stopped working as they have found an older version
> of the dll and the application has failed.
>
> So I guess we're really saying keep a copy of the relevant version of
> libc in every applications directory separately and make sure this
> directory is NOT in any common libpath or path statements.

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   4 ==========================**

Date:  Sat, 08 Oct 2005 20:20:10 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  Libc files

HI Ed,

Ed Durrant wrote:
> Hi,
> 
>   I guess this question is really for Paul Smedley, however I think the 
> answer may be of interest to more people, so I'm asking it on-list.
> 
>   Over recent times, there have been various advancing versions of 
> LIBCxx.dll.  Should it be possible to install the latest Libc06r1.dll in 
> a common directory, such as \OS2\DLL and then remove all other copies of 
> libcxx.dll on the system or will a program compiled using a particular 
> version of LIBC, say libc05.dll, only work with that DLL ?
> 
>  In other words is the latest libc dll backwards compatible ??
Yes & No :)

Yes in terms that the latest libc provides the same functions as earlier 
ones, No in the sense that applications are linked against a specific 
version of libc, hence will only look for that dll.

I think I've rebuilt all of my stuff to use libc06r1.dll

Knut also provides a 'forwarder' dll in the full package of gcc...
ie:
28/06/05  3:37         34,319      0 a---  libc06b4.dll
18/07/05  5:40         40,214      0 a---  libc06b5.dll
18/07/05  5:38        912,103      0 a---  libc06r1.dll

the b4 & b5 .dll's just forward the application to libc06r1.dll

I just keep around old versions of libc - disk space is cheap these days :)

Cheers,

Paul.
----------------------------------------------------------------------------------